body {
    padding-top: 0 !important;
}
.toggle-button-cover {
    display: block;
    width: 100px;
    box-sizing: border-box;
    position: relative;
  }
  .device_control .button-cover {
    border-radius: 4px;
  }
  
  .device_control .button-cover,
  .device_control .knobs,
  .device_control .layer {
    position: absolute;
    top: 0;
    left: 0;
  }
  
  .device_control .button {
    position: relative;
    width: 50px;
    height: 30px;
    overflow: hidden;
    background: rgb(241 241 241);
    box-shadow: inset 0px 0px 5px 0px #00000021;
    padding: 0;
  }
  
  .device_control .button.r,
  .device_control .button.r .layer {
    border-radius: 100px;
  }
  .device_control .checkbox {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    opacity: 0;
    cursor: pointer;
    z-index: 3;
  }
  .device_control .knobs {
    z-index: 2;
  }
  
  .device_control .layer {
    width: 100%;
    background-color: #0000003b;
    transition: 0.3s ease all;
    z-index: 1;
  }
  .device_control #button-3 .knobs:before {
    content: "";
    position: absolute;
    top: 4px;
    left: 4px;
    width: 21px;
    height: 22px;
    color: #fff;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    line-height: 1;
    background-color: #cbcbcb;
    border-radius: 30px;
    transition: 0.3s ease all;
  }
  .device_control input[type=text]:not([disabled]), .device_control input[type=email]:not([disabled]) {
    display: block;
    width: 100%;
    padding: 8px;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 4px;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  }
  .device_control input[type=text]:focus {
    color: #495057;
    background-color: #fff;
    border-color: #80bdff;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
  }
  #button-3 .checkbox:active + .knobs:before {
    width: 46px;
    border-radius: 100px;
  }
  
  #button-3 .checkbox:checked:active + .knobs:before {
    margin-left: -26px;
  }

  #button-3 .checkbox:checked + .knobs:before {
    content: "";
    left: 24px;
    background-color: #00f0a8;
  }

  #button-3 .checkbox:checked + .knobs.var_1:before {
    content: "";
    left: 24px;
    background-color: red;
  }
  
  #button-3 .checkbox:checked ~ .layer {
    background-color: #fcebeb;
  }


/* ------------------------
    single progress
-------------------------*/
.single_progress {
    position: relative;
}
.single_progress .progress {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: #000000b5;
    z-index: +999;
    display: none;
}
.single_progress .progress .s_loader {
    border: 2px solid #e4e4e4;
    border-top: 2px solid #484849;
    border-radius: 50%;
    width: 16px;
    height: 16px;
    animation: spiner 0.3s linear infinite;
}